- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances/countAllCuratedRuleSetDetections#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances/countAllCuratedRuleSetDetections#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances/countAllCuratedRuleSetDetections#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances/countAllCuratedRuleSetDetections#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances/countAllCuratedRuleSetDetections#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances/countAllCuratedRuleSetDetections#body.CountAllCuratedRuleSetDetectionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances/countAllCuratedRuleSetDetections#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances/countAllCuratedRuleSetDetections#body.aspect_1)
- [CuratedRuleSetCount](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances/countAllCuratedRuleSetDetections#CuratedRuleSetCount)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances/countAllCuratedRuleSetDetections#CuratedRuleSetCount.SCHEMA_REPRESENTATION)

**Full name**: projects.locations.instances.countAllCuratedRuleSetDetections

Count detections across all curated rule sets.

### HTTP request

`POST https://{endpoint}/v1alpha/{instance}:countAllCuratedRuleSetDetections`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The name of the parent resource, which is the SecOps instance to retrieve counts for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "interval": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/Interval`) } } ``` |

| Fields ||
|---|---|
| `interval` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/Interval`)`` Required. Time interval over which to generate counts. |

### Response body

Response message for counts of detections generated by curated rules.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "curatedRuleSetCounts": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances/countAllCuratedRuleSetDetections#CuratedRuleSetCount`) } ], "curatedRuleCounts": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/CuratedRuleCount`) } ] } ``` |

| Fields ||
|---|---|
| `curatedRuleSetCounts[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances/countAllCuratedRuleSetDetections#CuratedRuleSetCount`)`` Counts of detections aggregated by the originating curated rule set. |
| `curatedRuleCounts[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/CuratedRuleCount`)`` Counts of detections aggregated by the originating curated rule. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.curatedRuleSetCategories.countAllCuratedRuleSetDetections`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## CuratedRuleSetCount

Counts of detections originating from a single curated rule set.

| JSON representation |
|---|
| ``` { "curatedRuleSet": string, "count": integer } ``` |

| Fields ||
|---|---|
| `curatedRuleSet` | `string` Name of the curated rule set. |
| `count` | `integer` Count of the detections. |